/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\champion spawns\TheBlackBelt.cs
Lines of code: 35

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TheBlackBelt : LeatherNinjaBelt
	{

		[Constructable]
		public TheBlackBelt()
		{
			Hue = 1;
			Name = "Black Belt of Serado";
			Attributes.ReflectPhysical=20;
			Attributes.DefendChance = 10;
		}

		public TheBlackBelt( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version==0)
			{
				Attributes.DefendChance = 10;
				Attributes.ReflectPhysical=20;	
				Attributes.BonusDex=0;				
			}
		}
	}
}